#features-section {
    margin-top: 100px;
}

.features-container:not(:first-child) {
    margin-top: 130px;
}

.col-features-title h2 {
    font-size: 2.8vw;
    font-weight: 500;
    line-height: 1.1;
    color: var(--Core-Base-Black);
}

.col-features-title p {
    font-size: 14px;
    font-weight: 300;
    line-height: 1.3;
    letter-spacing: 0.8px;
    color: #455468;
    margin-bottom: 20px;
}

.row-features {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 30px;
    margin-top: 50px;
}

.col-features img {
    border-radius: 20px;
}

.block-text {
    margin: 20px 0;
    padding-right: 20px;
}

.col-features h3 {
    font-size: 1.66vw;
    font-weight: 500;
    line-height: 1.3;
    color: var(--Core-Base-Black);
    margin-bottom: 20px;
}

.col-features p {
    font-size: 20px;
    line-height: 1.5;
    font-weight: 300;
    color: var(--Core-Base-Black);
}

.col-features .block-cta a {
    font-size: 16px;
    font-weight: 500;
    line-height: 1.3;
    color: var(--Core-Dark-Violet);
    position: relative;
    display: flex;
    align-items: center;
    transition: color 0.5s ease-in-out;
}

.col-features .block-cta a:hover {
    color: var(--Core-Violet);
    transition: color 0.5s ease-in-out;
}

.col-features .block-cta a::after {
    content: '';
    display: inline-block;
    width: 16px;
    height: 16px;
    background-image: url('../svg/down-arrow.svg');
    rotate: -90deg;
    background-size: contain;
    background-repeat: no-repeat;
    margin-left: 10px;
    transition: filter 0.5s ease-in-out;
}

.col-features .block-cta a:hover::after {
    filter: invert(37%) sepia(74%) saturate(1045%) hue-rotate(227deg) brightness(101%) contrast(91%);
    transition: filter 0.5s ease-in-out;
}

/* --- MEDIA QUERIES --- */

@media(max-width: 1651px) {
    .col-features-title p {
        margin-bottom: 10px;
    }
    .col-features h3 {
        font-size: 27px;
    }
    .col-features p {
        font-size: 18px;
    }
    .col-features-title h2 {
        font-size: 45px;
    }
}

@media(max-width: 1221px) {
    .col-features h3 {
        font-size: 25px;
    }
    .col-features p {
        font-size: 16px;
    }
    .col-features-title h2 {
        font-size: 40px;
    }
}

@media(max-width: 1000px) {
    #features-section {
        margin-top: 100px;
    }

    .row-features {
        grid-template-columns: 1fr;
        gap: 50px;
    }

    .features-container:not(:first-child) {
        margin-top: 100px;
    }

    .col-features-title h2 {
        font-size: 35px;
        margin-top: 5px;
    }

    .col-features h3 {
        font-size: 23px;
        margin-bottom: 10px;
    }

    .block-text {
        margin: 10px 0 20px 0;
        padding-right: 0px;
    }

    .col-features-title p {
        font-size: 17px;
    }
}

@media(max-width: 376px) {
    .col-features-title h2 {
        font-size: 32px;
        line-height: 1.2;
    }

    .col-features h3 {
        font-size: 21px;
    }
}

@media(max-width: 321px) {
    .col-features-title h2 {
        font-size: 28px;
    }

    .col-features-title p {
        font-size: 12px;
    }

    .col-features h3 {
        font-size: 19px;
    }

    .col-features p,
    .col-features .block-cta a {
        font-size: 15px;
    }
}